GCLOUD_COMPUTE_BACKEND-SERVICES_ADD-BACKEND(1)

NAME

gcloud compute backend-services add-backend - add a backend to a backend service

SYNOPSIS

gcloud compute backend-services add-backend NAME [--balancing-mode BALANCING_MODE] [--capacity-scaler CAPACITY_SCALER] [--description DESCRIPTION] [--group GROUP | --instance-group INSTANCE_GROUP] [--max-rate MAX_RATE | --max-rate-per-instance MAX_RATE_PER_INSTANCE] [--max-utilization MAX_UTILIZATION] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute backend-services add-backend is used to add a backend to a backend service. A backend is a group of tasks that can handle requests sent to a backend service. Currently, the group of tasks can be one or more Google Compute Engine virtual machine instances grouped together using an instance group. Traffic is first spread evenly across all virtual machines in the group. When the group is full, traffic is sent to the next nearest group(s) that still have remaining capacity. To modify the parameters of a backend after it has been added to the backend service, use 'gcloud compute backend-services update-backend' or 'gcloud compute backend-services edit'.

POSITIONAL ARGUMENTS
NAME
    The name of the backend service.

FLAGS
--balancing-mode BALANCING_MODE
    Defines the strategy for balancing load. UTILIZATION will rely on the CPU utilization of the instances in the group when balancing load. When using UTILIZATION, --max-utilization can be used to set a maximum target CPU utilization for each instance. RATE will spread load based on how many requests per second (RPS) the group can handle. There are two ways to specify max RPS: --max-rate which defines the max RPS for the whole group or --max-rate-per-instance, which defines the max RPS on a per-instance basis. In UTILIZATION, you can optionally limit based on RPS in addition to CPU by setting either --max-rate-per-instance or --max-rate.
--capacity-scaler CAPACITY_SCALER
    A float in the range [0, 1.0] that scales the maximum parameters for the group (e.g., max rate). A value of 0.0 will cause no requests to be sent to the group (i.e., it adds the group in a drained state). The default is 1.0.
--description DESCRIPTION
    An optional, textual description for the backend.
--group GROUP
    The name of the legacy instance group (deprecated resourceViews API) that will receive the traffic. Use --instance-group flag instead.
--instance-group INSTANCE_GROUP
    The name or URI of a Google Cloud Instance Group that can receive traffic.
--max-rate MAX_RATE
    Maximum requests per second (RPS) that the group can handle.
--max-rate-per-instance MAX_RATE_PER_INSTANCE
    The maximum per-instance requests per second (RPS).
--max-utilization MAX_UTILIZATION
    The target CPU utilization for the group as a float in the range [0.0, 1.0]. This flag can only be provided when the balancing mode is UTILIZATION.
--zone ZONE
    The zone of the instance group to add to the backend service. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.